Class | FFI::Struct
In: | lib/ffi/struct.rb
Parent: | Object

### Methods

align aligned alignment alignment auto_ptr by_ref by_value callback clear enclosing_module find_field_type find_type in layout members members offset_of offset_of offsets offsets out packed ptr size size size= to_ptr val values

### Classes and Modules

Class FFI::Struct::ManagedStructConverter

### External Aliases

packed | -> | pack
aligned | -> | align

### Public Class methods

alignment()
auto_ptr()
by_ref(flags = :inout)
by_value()
in()
layout(*spec)
members()
offset_of(name)
offsets()
out()
ptr(flags = :inout)
size()
size=(size)
val()

### Protected Class methods

aligned(alignment = 1)
callback(params, ret)
enclosing_module()
find_field_type(type, mod = enclosing_module)
find_type(type, mod = enclosing_module)
packed(packed = 1)

### Public Instance methods

align()

Alias for alignment

alignment()
clear()
members()
offset_of(name)
offsets()
size()
to_ptr()
values()

[Validate]